QGIS Application - Bug report #18130

Using uuid generator function in field calculator return the same value for each feature

2018-02-18 01:04 PM - Dominique Lyszczarz

Status: Closed

Priority: Normal

Assignee:

Category: Field calculator

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26023
Description

It seems to me that the correct behaviour here is to compute a distinct uuid for each feature.

A work around is to define a custom function like this

@from qgis.core import *
from qgis.gui import *
import uuid

@qgsfunction(args='auto', group='Custom')
def getUUID(feature, parent):
return '{' + str(uuid.uuid4()) + Y@

Associated revisions

Revision 605ea376 - 2018-02-19 06:56 AM - Nyall Dawson

Fix uuid() function returns the same uuid

Fixes #18130

History

#1 - 2018-02-19 06:56 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|605ea376df3be6ca57e4917cae62e2d66bdbef93.

#2 - 2018-02-21 05:40 PM - Giovanni Manghi
- Resolution set to fixed/implemented
